[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetViewPortExtEx

Returns the size of the viewport for a device context.

## Declaration

Source position: winapih.inc line 156

`public function TWidgetSet.GetViewPortExtEx(`
`DC: HDC;`
`Size: PSize`
`):Integer; virtual;`

## Arguments

`Size` |  | Receives the viewport size.

## Function result

False (zero) on failure.

## See also

TWidgetSet.SetViewPortExtEx |  | Sets the extent of the viewport for a device context.
TWidgetSet.GetViewPortOrgEx |  | Returns the origin of the viewport for a device context.